﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PivotGridSL
{
    public class MyProduct : IComparable, IComparable<MyProduct>, IEquatable<MyProduct>
    {
        public string ProductName
        {
            get;
            set;
        }

        public int SortKey
        {
            get;
            set;
        }

        public override string ToString()
        {
            return this.ProductName;
        }

        public int CompareTo(object obj)
        {
            return this.CompareTo(obj as MyProduct);
        }

        public override bool Equals(object obj)
        {
            return this.Equals(obj as MyProduct);
        }

        public override int GetHashCode()
        {
            return this.SortKey.GetHashCode();
        }

        public int CompareTo(MyProduct otherProduct)
        {
            if (otherProduct != null)
            {
                return this.SortKey.CompareTo(otherProduct.SortKey);
            }

            return 0;
        }

        public bool Equals(MyProduct otherProduct)
        {
            if (otherProduct != null)
            {
                return this.ProductName.Equals(otherProduct.ProductName);
            }

            return false;
        }
    }
}
